OpenVDB: CheckRange< GridT, MinInclusive, MaxInclusive, TreeIterT > Struct Template Reference

OpenVDB 13.0.0

Loading...
Searching...
No Matches
CheckRange< GridT, MinInclusive, MaxInclusive, TreeIterT > Struct Template Reference

Checks a value against a range. More...

`#include <openvdb/tools/Diagnostics.h>`

## Public Types
using | ElementType = typename VecTraits<typename GridT::ValueType>::ElementType
using | TileIterT = TreeIterT
using | VoxelIterT

## Public Member Functions
| CheckRange (const ElementType &_min, const ElementType &_max)
bool | operator() (const ElementType &v) const
| Return true if the value is smaller than min or larger than max.
template<typename T>
std::enable_if< VecTraits< T >::IsVec, bool >::type | operator() (const T &v) const
| Return true if any of the vector components are out of range.
bool | operator() (const TreeIterT &iter) const
| Return true if the voxel at the iterator location is out of range.
bool | operator() (const VoxelIterT &iter) const
| Return true if the tile at the iterator location is out of range.
std::string | str () const
| Return a string describing a failed check.

## Public Attributes
const ElementType | minVal
const ElementType | maxVal

## Detailed Description

template<typename GridT, bool MinInclusive = true, bool MaxInclusive = true, typename TreeIterT = typename GridT::ValueOnCIter>
struct openvdb::v13_0::tools::CheckRange< GridT, MinInclusive, MaxInclusive, TreeIterT >

Checks a value against a range.

## Member Typedef Documentation

## ◆ ElementType

template<typename GridT, bool MinInclusive = true, bool MaxInclusive = true, typename TreeIterT = typename GridT::ValueOnCIter>

using ElementType = typename VecTraits<typename GridT::ValueType>::ElementType

## ◆ TileIterT

template<typename GridT, bool MinInclusive = true, bool MaxInclusive = true, typename TreeIterT = typename GridT::ValueOnCIter>

using TileIterT = TreeIterT

## ◆ VoxelIterT

template<typename GridT, bool MinInclusive = true, bool MaxInclusive = true, typename TreeIterT = typename GridT::ValueOnCIter>

using VoxelIterT

Initial value:
typename tree::IterTraits<typename TreeIterT::NodeT,
typename TreeIterT::ValueIterT> ::template NodeConverter<
typename GridT::TreeType::LeafNodeType>::Type
openvdb::v13_0::tools::Type
openvdb::v13_0::tree::IterTraits
Definition TreeIterator.h:61

## Constructor & Destructor Documentation

## ◆ CheckRange()

template<typename GridT, bool MinInclusive = true, bool MaxInclusive = true, typename TreeIterT = typename GridT::ValueOnCIter>

CheckRange | ( | const ElementType & | _min,
|  | const ElementType & | _max )
| inline

## Member Function Documentation

## ◆ operator()() [1/4]

template<typename GridT, bool MinInclusive = true, bool MaxInclusive = true, typename TreeIterT = typename GridT::ValueOnCIter>

bool operator() | ( | const ElementType & | v | ) | const
| inline

Return true if the value is smaller than min or larger than max.

## ◆ operator()() [2/4]

template<typename GridT, bool MinInclusive = true, bool MaxInclusive = true, typename TreeIterT = typename GridT::ValueOnCIter>
template<typename T>

std::enable_if< VecTraits< T >::IsVec, bool >::type operator() | ( | const T & | v | ) | const
| inline

Return true if any of the vector components are out of range.

## ◆ operator()() [3/4]

template<typename GridT, bool MinInclusive = true, bool MaxInclusive = true, typename TreeIterT = typename GridT::ValueOnCIter>

bool operator() | ( | const TreeIterT & | iter | ) | const
| inline

Return true if the voxel at the iterator location is out of range.

## ◆ operator()() [4/4]

template<typename GridT, bool MinInclusive = true, bool MaxInclusive = true, typename TreeIterT = typename GridT::ValueOnCIter>

bool operator() | ( | const VoxelIterT & | iter | ) | const
| inline

Return true if the tile at the iterator location is out of range.

## ◆ str()

template<typename GridT, bool MinInclusive = true, bool MaxInclusive = true, typename TreeIterT = typename GridT::ValueOnCIter>

std::string str | ( |  | ) | const
| inline

Return a string describing a failed check.

## Member Data Documentation

## ◆ maxVal

template<typename GridT, bool MinInclusive = true, bool MaxInclusive = true, typename TreeIterT = typename GridT::ValueOnCIter>

const ElementType maxVal

## ◆ minVal

template<typename GridT, bool MinInclusive = true, bool MaxInclusive = true, typename TreeIterT = typename GridT::ValueOnCIter>

const ElementType minVal